<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".indexActivity">

    <ImageView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@mipmap/bg" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="58dp"
        android:gravity="center"
        android:paddingTop="8dp">

        <View
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:background="@drawable/jinghui" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:text="吉林公安大数据实战赋能系统"
            android:textColor="@color/white"
            android:textSize="20sp"
            android:textStyle="bold" />
    </LinearLayout>


    <View
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="100dp"
        android:background="@drawable/top_10_f7_bg" />

    <RelativeLayout
        android:id="@+id/table_group"
        android:layout_width="match_parent"
        android:layout_height="70dp"
        android:layout_marginHorizontal="10dp"
        android:layout_marginTop="60dp"
        android:background="@drawable/all_7_fff_bg"
        android:paddingTop="5dp">

        <LinearLayout
            android:id="@+id/ll_key_person"
            android:layout_width="73dp"
            android:layout_height="match_parent"
            android:layout_marginStart="40dp"
            android:gravity="center"
            android:orientation="vertical">

            <View
                android:id="@+id/icon_key_person"
                android:layout_width="28dp"
                android:layout_height="33dp"
                android:background="@drawable/mine_normal" />

            <TextView
                android:id="@+id/tv_key_person"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="重点人"
                android:textColor="@color/selected_color"
                android:textSize="14sp" />

            <View
                android:id="@+id/select_key_person"
                android:layout_width="28dp"
                android:layout_height="3dp"
                android:layout_marginTop="3dp"
                android:background="@color/selected_color" />
        </LinearLayout>

        <TextView
            android:id="@+id/tv_key_person_count"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignLeft="@id/ll_key_person"
            android:layout_marginLeft="45dp"
            android:background="@drawable/all_7_main_bg"
            android:paddingHorizontal="5dp"
            android:textColor="@color/white"
            android:visibility="invisible"
            android:textSize="10sp"
            tools:text="99+" />

        <LinearLayout
            android:id="@+id/ll_police_emergency"
            android:layout_width="73dp"
            android:layout_height="match_parent"
            android:layout_centerInParent="true"
            android:gravity="center"
            android:orientation="vertical">

            <View
                android:id="@+id/icon_police_emergency"
                android:layout_width="28dp"
                android:layout_height="33dp"
                android:background="@drawable/huizhang_icon" />

            <TextView
                android:id="@+id/tv_police_emergency"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="警情"
                android:textColor="@color/black"
                android:textSize="14sp" />

            <View
                android:id="@+id/select_police_emergency"
                android:layout_width="28dp"
                android:layout_height="3dp"
                android:layout_marginTop="3dp"
                android:background="@color/white" />

        </LinearLayout>

        <TextView
            android:id="@+id/tv_police_emergency_count"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignLeft="@id/ll_police_emergency"
            android:layout_marginLeft="45dp"
            android:background="@drawable/all_7_main_bg"
            android:paddingHorizontal="5dp"
            android:visibility="invisible"
            android:textColor="@color/white"
            android:textSize="10sp"
            tools:text="99+" />

        <LinearLayout
            android:id="@+id/ll_case_details"
            android:layout_width="73dp"
            android:layout_height="match_parent"
            android:layout_alignParentEnd="true"
            android:layout_marginEnd="40dp"
            android:gravity="center"
            android:orientation="vertical">

            <View
                android:id="@+id/icon_case_details"
                android:layout_width="28dp"
                android:layout_height="33dp"
                android:background="@drawable/wenjianjia_icon" />

            <TextView
                android:id="@+id/tv_case_details"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="案情"
                android:textColor="@color/black"
                android:textSize="14sp" />

            <View
                android:id="@+id/select_case_details"
                android:layout_width="28dp"
                android:layout_height="3dp"
                android:layout_marginTop="3dp"
                android:background="@color/white" />
        </LinearLayout>

        <TextView
            android:id="@+id/tv_case_details_count"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignLeft="@id/ll_case_details"
            android:layout_marginLeft="45dp"
            android:background="@drawable/all_7_main_bg"
            android:paddingHorizontal="5dp"
            android:visibility="invisible"
            android:textColor="@color/white"
            android:textSize="10sp"
            tools:text="99+" />
    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/type_group"
        android:layout_width="100dp"
        android:layout_height="34dp"
        android:layout_below="@id/table_group"
        android:layout_marginStart="10dp"
        android:layout_marginTop="10dp"
        android:layout_marginBottom="5dp"
        android:background="@drawable/all_7_fff_bg">

        <TextView
            android:id="@+id/tv_search_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:text="姓名"
            android:textColor="@color/black"
            android:textSize="13sp" />

        <View
            android:layout_width="10dp"
            android:layout_height="10dp"
            android:layout_alignParentEnd="true"
            android:layout_centerVertical="true"
            android:layout_marginEnd="5dp"
            android:background="@drawable/jaintou" />

    </RelativeLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="34dp"
        android:layout_below="@id/table_group"
        android:layout_marginStart="7dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="10dp"
        android:layout_toRightOf="@id/type_group"
        android:background="@drawable/all_7_fff_bg">

        <View
            android:layout_width="17dp"
            android:layout_height="17dp"
            android:layout_centerVertical="true"
            android:layout_marginStart="5dp"
            android:background="@drawable/search" />

        <EditText
            android:id="@+id/et_input"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="27dp"
            android:layout_marginEnd="51dp"
            android:background="#fff"
            android:textColor="#333"
            android:textSize="13sp" />

        <TextView
            android:id="@+id/tv_search_btn"
            android:layout_width="51dp"
            android:layout_height="match_parent"
            android:layout_alignParentEnd="true"
            android:background="@drawable/right_7_052eba_bg"
            android:gravity="center"
            android:text="搜索"
            android:textColor="@color/white"
            android:textSize="13sp"
            android:textStyle="bold" />
    </RelativeLayout>

    <LinearLayout
        android:id="@+id/tab_group"
        android:layout_width="match_parent"
        android:layout_height="38dp"
        android:layout_below="@id/type_group"
        android:orientation="horizontal">

        <RelativeLayout
            android:id="@+id/ll_my_key_person"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:orientation="vertical">

            <TextView
                android:id="@+id/tv_my_key_person"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:text="我的重点人"
                android:textColor="@color/selected_color"
                android:textSize="13sp"
                android:textStyle="bold" />

            <View
                android:id="@+id/select_my_key_person"
                android:layout_width="17dp"
                android:layout_height="3dp"
                android:layout_alignParentBottom="true"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="3dp"
                android:background="#0000ff" />

            <TextView
                android:id="@+id/tv_key_person_tab_count"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="3dp"
                android:layout_toRightOf="@id/tv_my_key_person"
                android:background="@drawable/all_7_main_bg"
                android:paddingHorizontal="5dp"
                android:textColor="@color/white"
                android:visibility="invisible"
                android:textSize="10sp"
                tools:text="99+" />
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/ll_area_key_person"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:orientation="vertical">

            <TextView
                android:id="@+id/tv_area_key_person"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:text="辖区(警种)重点人"
                android:textColor="#666"
                android:textSize="13sp"
                android:textStyle="bold" />

            <View
                android:id="@+id/select_area_key_person"
                android:layout_width="17dp"
                android:layout_height="3dp"
                android:layout_alignParentBottom="true"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="3dp"
                android:background="@color/transparent_color" />

            <TextView
                android:id="@+id/tv_area_key_tab_count"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="3dp"
                android:layout_toRightOf="@id/tv_area_key_person"
                android:background="@drawable/all_7_main_bg"
                android:paddingHorizontal="5dp"
                android:visibility="invisible"
                android:textColor="@color/white"
                android:textSize="10sp"
                tools:text="99+" />
        </RelativeLayout>
    </LinearLayout>

    <com.scwang.smart.refresh.layout.SmartRefreshLayout
        android:id="@+id/refreshLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/tab_group">

        <!-- 这里放置你的RecyclerView或其他需要刷新的布局 -->
        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_group"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

    </com.scwang.smart.refresh.layout.SmartRefreshLayout>

    <RelativeLayout
        android:id="@+id/rl_loading"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="gone">

        <ProgressBar
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:layout_centerInParent="true" />
    </RelativeLayout>
</RelativeLayout>